# Uses of Class
net.shibboleth.profile.context.logic.ScriptedPredicate

Packages that use ScriptedPredicate
Package
Description
net.shibboleth.profile.context.logic
Predicates that evaluate profile contexts.

## Uses of ScriptedPredicate in net.shibboleth.profile.context.logic

Methods in net.shibboleth.profile.context.logic that return ScriptedPredicate
Modifier and Type
Method
Description
`static ScriptedPredicate`
ScriptedPredicate.`inlineScript(String scriptSource)`
Factory to create `ScriptedPredicate` from inline data.
`static ScriptedPredicate`
ScriptedPredicate.`inlineScript(String engineName, String scriptSource)`
Factory to create `ScriptedPredicate` from inline data.
`static ScriptedPredicate`
ScriptedPredicate.`resourceScript(String engineName, Resource resource)`
Factory to create `ScriptedPredicate` from a `Resource`.
`static ScriptedPredicate`
ScriptedPredicate.`resourceScript(Resource resource)`
Factory to create `ScriptedPredicate` from a `Resource`.